Bug 730764

Summary: Review Request: wxpdfdoc - A library for creating PDF documents in C++ with wxWidgets
Product: [Fedora] Fedora Reporter: Domingo Becker <domingobecker>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dan, mario.blaettermann, mzdunek, notting, package-review
Target Milestone: ---Flags: mario.blaettermann: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-15 09:18:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Domingo Becker 2011-08-15 17:18:44 UTC
Spec URL: http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc.spec
SRPM URL:
http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc-0.9.1-1.fc14.src.rpm
Description: 
wxPdfDocument allows wxWidgets applications to generate PDF documents. 
The code is a port of FPDF - a free PHP class for generating PDF files - 
to C++ using the wxWidgets library. Several add-on PHP scripts found on 
the FPDF web site are incorporated into wxPdfDocument. Embedding of PNG, 
JPEG, GIF and WMF images is supported. In addition to the 14 standard 
Adobe fonts it is possible to use other Type1 or TrueType fonts - with 
or without embedding them into the generated document. In Unicode build 
CJK fonts are supported, too. Graphics primitives allow the creation of 
simple drawings.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3273744

Comment 1 Domingo Becker 2011-08-16 15:34:52 UTC
The x86_64 installation problem (lib for lib64) has been fixed with a patch that applies only to this achitecture.

Spec URL: http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc.spec

Patch URL: http://beckerde.fedorapeople.org/wxpdfdoc/GNUmakefile.patch

SRPM URL:
http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc-0.9.1-2.fc14.src.rpm

New Koji Build (successful build):
http://koji.fedoraproject.org/koji/taskinfo?taskID=3276084


rpmlint on the spec file:

[user@computer ~]$ rpmlint -i ~/rpmbuild/SPECS/wxpdfdoc.spec 
/home/user/rpmbuild/SPECS/wxpdfdoc.spec:49: W: rpm-buildroot-usage %build make -C build prefix=$RPM_BUILD_ROOT%{_prefix} all -f GNUmakefile
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

/home/user/rpmbuild/SPECS/wxpdfdoc.spec: W: %ifarch-applied-patch Patch0: GNUmakefile.patch
A patch is applied inside an %ifarch block. Patches must be applied on all
architectures and may contain necessary configure and/or code patch to be
effective only on a given arch.

0 packages and 1 specfiles checked; 0 errors, 2 warnings.
[user@computer ~]$ 


rpmlint on the srpm: 

[user@computer ~]$ rpmlint -i ~/rpmbuild/SRPMS/wxpdfdoc-0.9.1-2.fc14.src.rpm 
wxpdfdoc.src: W: spelling-error Summary(en_US) wxWidgets -> widgets, widget, midgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.src: W: spelling-error %description -l en_US wxWidgets -> widgets, widget, midgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.src:49: W: rpm-buildroot-usage %build make -C build prefix=$RPM_BUILD_ROOT%{_prefix} all -f GNUmakefile
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

wxpdfdoc.src: W: %ifarch-applied-patch Patch0: GNUmakefile.patch
A patch is applied inside an %ifarch block. Patches must be applied on all
architectures and may contain necessary configure and/or code patch to be
effective only on a given arch.

1 packages and 0 specfiles checked; 0 errors, 4 warnings.
[user@computer ~]$ 


Comments: 
- there's no spelling error, it's wxWidgets.
- it is necessary to change the prefix variable used inside GNUmakefile during the build process.

Comment 2 Dan Horák 2011-08-16 16:10:41 UTC
I think better option to fix the libdir issue is to use sed which will fix it easily for all 64bit arches like s390x, ppc64, sparc64 and not only for x86_64

You could use
sed -i.orig -e 's|$(prefix)/lib|$(prefix)/%{_lib}/|g' build/GNUmakefile
instead of the %ifarch-ed %patch

Another note - you should drop the gcc-c++ from BRs, it's always part of the buildroot, see http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Comment 3 Domingo Becker 2011-08-16 16:32:00 UTC
(In reply to comment #2)
> I think better option to fix the libdir issue is to use sed which will fix it
> easily for all 64bit arches like s390x, ppc64, sparc64 and not only for x86_64
> 
> You could use
> sed -i.orig -e 's|$(prefix)/lib|$(prefix)/%{_lib}/|g' build/GNUmakefile
> instead of the %ifarch-ed %patch

Thank you, I will test it.

> 
> Another note - you should drop the gcc-c++ from BRs, it's always part of the
> buildroot, see http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

But it's not always part of someone's own computer. And as I usually use 'rpmbuild --rebuild srpm-url', the package must have the gcc-c++ dependency in order to succeed. I found this with my own packages.

Thank you, Dan.

Comment 4 Domingo Becker 2011-08-17 15:00:22 UTC
New spec with Dan's proposal for every 64 bit architectures.

Spec URL: http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc.spec

SRPM URL:
http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc-0.9.1-3.fc14.src.rpm

Comment 5 Guillermo Gómez 2011-08-29 12:23:44 UTC
> > Another note - you should drop the gcc-c++ from BRs, it's always part of the
> > buildroot, see http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2
> 
> But it's not always part of someone's own computer. And as I usually use
> 'rpmbuild --rebuild srpm-url', the package must have the gcc-c++ dependency in
> order to succeed. I found this with my own packages.

It should always be part of it for packagers/builders. That's why gcc-c++ should not be in the BRs.

"Not every regular user does rpmbuild --rebuild to install it".

So the recommendation stands to remove gcc-c++ from BRs, not a blocking point thought.

Comment 6 Michael Schwendt 2012-05-04 22:58:10 UTC
I wonder, why in comment 1 rpmlint is quoted without commenting on it?

> wxpdfdoc.spec:49: W: rpm-buildroot-usage %build make
> -C build prefix=$RPM_BUILD_ROOT%{_prefix} all -f GNUmakefile
> $RPM_BUILD_ROOT should not be touched during %build or %prep stage,
> as it may break short circuit builds.

Actually, there is a bigger risk than that. This buildroot path may enter the built files as part of any path that is derived from the "prefix" value. It's a common packaging pitfall. So, avoid using $RPM_BUILD_ROOT or %buildroot prior to %install.


> Group:          Development/Libraries

Base libs typically enter group "System Environment/Libraries" instead.


> gcc-c++

This is covered by:
https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Hard-requiring gcc-c++ also makes it less simple to rebuild within a replaced minimum build environment.


> %package devel
> Requires:       wxpdfdoc

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> %files 
> %{_libdir}/libwxcode_gtk2_pdfdoc*

I'd like to see a test-build of the package to judge about whether this %files section is correct.


> %files devel
> %{_includedir}/wx/pdf*
> %{_prefix}/src/pdf*

The -devel package would need to depend on wxGTK-devel for proper dir ownership. And the usage of /usr/src needs a look at the test-build, too.

Comment 7 Domingo Becker 2012-05-16 22:08:31 UTC
(In reply to comment #6)
> > wxpdfdoc.spec:49: W: rpm-buildroot-usage %build make
> > -C build prefix=$RPM_BUILD_ROOT%{_prefix} all -f GNUmakefile
> > $RPM_BUILD_ROOT should not be touched during %build or %prep stage,
> > as it may break short circuit builds.
> 
> Actually, there is a bigger risk than that. This buildroot path may enter the
> built files as part of any path that is derived from the "prefix" value. It's a
> common packaging pitfall. So, avoid using $RPM_BUILD_ROOT or %buildroot prior
> to %install.
> 

Fixed.

> 
> > Group:          Development/Libraries
> 
> Base libs typically enter group "System Environment/Libraries" instead.
> 

Fixed.

> 
> > gcc-c++
> 
> This is covered by:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2
> 
> Hard-requiring gcc-c++ also makes it less simple to rebuild within a replaced
> minimum build environment.
> 

Understood and fixed.

> 
> > %package devel
> > Requires:       wxpdfdoc
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package
> 

Fixed.


> 
> > %files 
> > %{_libdir}/libwxcode_gtk2_pdfdoc*
> 
> I'd like to see a test-build of the package to judge about whether this %files
> section is correct.
> 

http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc-0.9.2.1-2.fc14.i686.rpm
http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc-devel-0.9.2.1-2.fc14.i686.rpm

The dynamic library went to the same /usr/lib directory as wxGTK package.

> 
> > %files devel
> > %{_includedir}/wx/pdf*
> > %{_prefix}/src/pdf*
> 
> The -devel package would need to depend on wxGTK-devel for proper dir
> ownership. And the usage of /usr/src needs a look at the test-build, too.

Files in /usr/src and /usr/include/wx have been moved to /usr/include/wx-2.8/wx, which is the same for wxGTK-devel header files.

Fixed dependency on wxGTK-devel too.

The package has been updated to the latest release.

Spec URL: http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc.spec

SRPM URL:
http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc-0.9.2.1-2.fc14.src.rpm

Comment 8 Mario Blättermann 2012-10-19 20:06:24 UTC
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4608754

wxpdfdoc.src: I: checking
wxpdfdoc.src: W: spelling-error Summary(en_US) wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.src: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.src: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc.src:13: W: macro-in-comment %define
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.src:14: W: macro-in-comment %define
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.src:15: W: macro-in-comment %define
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.src:56: W: macro-in-comment %{_prefix}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.src: I: checking-url http://beckerde.fedorapeople.org/wxpdfdoc/GNUmakefile.patch (timeout 10 seconds)
wxpdfdoc.src: I: checking-url http://sourceforge.net/projects/wxcode/files/Components/wxPdfDocument/wxpdfdoc-0.9.2.1.tar.gz (timeout 10 seconds)
wxpdfdoc.i686: I: checking
wxpdfdoc.i686: W: spelling-error Summary(en_US) wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.i686: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.i686: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc.i686: W: no-soname /usr/lib/libwxcode_gtk2_pdfdoc-2.8.so
wxpdfdoc.x86_64: I: checking
wxpdfdoc.x86_64: W: spelling-error Summary(en_US) wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.x86_64: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc.x86_64: W: no-soname /usr/lib64/libwxcode_gtk2_pdfdoc-2.8.so
wxpdfdoc-debuginfo.i686: I: checking
wxpdfdoc-debuginfo.i686: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcffindex.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfencoding.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcjkfontdata.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcolour.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcoonspatchmesh.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatatype0.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontsubsetcff.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfarraytypes.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontparsertruetype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdftemplate.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcorefontdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfgradient.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdataopentype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatatruetype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdflayer.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfutility.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatatype1.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfform.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfdocument.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffont.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcodepagedata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontsubsettruetype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdflayer.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcorefontdata.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfpattern.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfencoding.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontparser.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfgraphics.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcolour.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatacore.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfrijndael.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontsubsettruetype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfutility.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfkernel.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfpattern.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontparsertruetype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdetails.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfobjects.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfobjects.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdftemplate.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfannotation.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcorefontkerning.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcffdecoder.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontextended.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfbarcode.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfdocument.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdflinks.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfgradient.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontmanager.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfimage.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcffindex.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcmapdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcjkfontdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdataopentype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfxml.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfglyphnames.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfparser.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfbarcode.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdescription.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfform.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfinfo.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfencrypt.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfdc28.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontextended.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatatype0.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfgraphics.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatatruetype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdescription.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfencrypt.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontsubsetcff.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcolourdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontmanager.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfannotation.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontvolt.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontparsertype1.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontparser.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdata.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatatype1.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfxml.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdata.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdflinestyle.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatacore.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontvolt.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfdc28.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcffdecoder.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfrijndael.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfbookmark.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfocg.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdetails.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfshape.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfimage.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffont.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfparser.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfdecode.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfspotcolour.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfproperties.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontparsertype1.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: I: checking
wxpdfdoc-debuginfo.x86_64: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcffindex.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfencoding.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdflayer.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcolour.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcoonspatchmesh.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatatype0.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontsubsetcff.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfarraytypes.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontparsertruetype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdftemplate.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcorefontdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfgradient.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdataopentype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatatruetype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcjkfontdata.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfutility.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatatype1.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfform.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfdocument.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffont.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcodepagedata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontsubsettruetype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdflayer.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcorefontdata.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfpattern.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfencoding.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontparser.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfgraphics.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfparser.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcolour.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatacore.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfrijndael.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontsubsettruetype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfutility.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfkernel.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfpattern.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontparsertruetype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdetails.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfobjects.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfobjects.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdftemplate.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfannotation.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcorefontkerning.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcffdecoder.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontextended.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfbarcode.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfdocument.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdflinks.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfgradient.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontmanager.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfimage.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcffindex.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcmapdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcjkfontdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdataopentype.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfxml.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfglyphnames.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfparser.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfbarcode.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdescription.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdetails.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfinfo.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfencrypt.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfdc28.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontextended.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatatype0.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfgraphics.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatatruetype.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdescription.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfencrypt.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontsubsetcff.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfcolourdata.inc
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontmanager.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfannotation.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontvolt.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontparser.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdata.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontdatatype1.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfxml.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdata.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdflinestyle.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontdatacore.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontvolt.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfdc28.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfcffdecoder.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfrijndael.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfbookmark.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfocg.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfform.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfshape.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfimage.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffont.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdffontparsertype1.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdfdecode.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfspotcolour.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/include/wx/pdfproperties.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/wxpdfdoc-0.9.2.1/src/pdffontparsertype1.cpp
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

wxpdfdoc-devel.i686: I: checking
wxpdfdoc-devel.i686: W: spelling-error Summary(en_US) wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.i686: W: spelling-error %description -l en_US wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.i686: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.i686: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

wxpdfdoc-devel.x86_64: I: checking
wxpdfdoc-devel.x86_64: W: spelling-error Summary(en_US) wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.x86_64: W: spelling-error %description -l en_US wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.x86_64: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

wxpdfdoc.spec:13: W: macro-in-comment %define
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.spec:14: W: macro-in-comment %define
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.spec:15: W: macro-in-comment %define
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.spec:56: W: macro-in-comment %{_prefix}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

wxpdfdoc.spec: I: checking-url http://beckerde.fedorapeople.org/wxpdfdoc/GNUmakefile.patch (timeout 10 seconds)
wxpdfdoc.spec: I: checking-url http://sourceforge.net/projects/wxcode/files/Components/wxPdfDocument/wxpdfdoc-0.9.2.1.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 16 errors, 202 warnings.


A lot of issues which needs some explanation.

The macro-in-comment-warnings can be avoided by escaping the macro with a second %.

Remove the executable bits from the source files before the package will be build.

Consider to use %global instead of %define:
http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

Comment 9 Domingo Becker 2012-10-19 22:09:44 UTC
Thank you for your time, Mario!

All the URLs are actually working fine. The timeout would be an outage in Fedora.

I will take a look at the other issues.

kind regards

Domingo Becker

Comment 10 Domingo Becker 2012-10-21 23:19:08 UTC
(In reply to comment #8)
> 
> A lot of issues which needs some explanation.
> 
> The macro-in-comment-warnings can be avoided by escaping the macro with a
> second %.
> 

Fixed.

> Remove the executable bits from the source files before the package will be
> build.
> 

Fixed.

> Consider to use %global instead of %define:
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.
> 25define

Done.

Spec URL: http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc.spec

SRPM URL:
http://beckerde.fedorapeople.org/wxpdfdoc/wxpdfdoc-0.9.2.1-3.fc19.src.rpm

Comment 11 Mario Blättermann 2012-10-25 11:56:13 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4625139

$ rpmlint -i -v *
wxpdfdoc.i686: I: checking
wxpdfdoc.i686: W: spelling-error Summary(en_US) wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.i686: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.i686: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc.i686: W: no-soname /usr/lib/libwxcode_gtk2_pdfdoc-2.8.so
wxpdfdoc.src: I: checking
wxpdfdoc.src: W: spelling-error Summary(en_US) wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.src: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.src: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc.src: I: checking-url http://beckerde.fedorapeople.org/wxpdfdoc/GNUmakefile.patch (timeout 10 seconds)
wxpdfdoc.src: I: checking-url http://sourceforge.net/projects/wxcode/files/Components/wxPdfDocument/wxpdfdoc-0.9.2.1.tar.gz (timeout 10 seconds)
wxpdfdoc.x86_64: I: checking
wxpdfdoc.x86_64: W: spelling-error Summary(en_US) wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc.x86_64: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc.x86_64: W: no-soname /usr/lib64/libwxcode_gtk2_pdfdoc-2.8.so
wxpdfdoc-debuginfo.i686: I: checking
wxpdfdoc-debuginfo.i686: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-debuginfo.x86_64: I: checking
wxpdfdoc-debuginfo.x86_64: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-devel.i686: I: checking
wxpdfdoc-devel.i686: W: spelling-error Summary(en_US) wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.i686: W: spelling-error %description -l en_US wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.i686: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.i686: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

wxpdfdoc-devel.x86_64: I: checking
wxpdfdoc-devel.x86_64: W: spelling-error Summary(en_US) wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.x86_64: W: spelling-error %description -l en_US wxPdfDocument -> documentation
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
The value of this tag appears to be misspelled. Please double-check.

wxpdfdoc-devel.x86_64: I: checking-url http://wxcode.sourceforge.net/components/wxpdfdoc/ (timeout 10 seconds)
wxpdfdoc-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

wxpdfdoc.spec: I: checking-url http://beckerde.fedorapeople.org/wxpdfdoc/GNUmakefile.patch (timeout 10 seconds)
wxpdfdoc.spec: I: checking-url http://sourceforge.net/projects/wxcode/files/Components/wxPdfDocument/wxpdfdoc-0.9.2.1.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 16 warnings.


No more than some ignorable spelling errors. The "no-docs" warning can also be ignored, because there's documentation available from the main package in any case. The *.so file is in the right place because no versioned library file is present.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    wxWidgets
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    b62bc94d1a1b3982545759c21140ff1dd94fd88c2b2f90dc88cc9d6f00fd9e4e  wxpdfdoc-0.9.2.1.tar.gz
    b62bc94d1a1b3982545759c21140ff1dd94fd88c2b2f90dc88cc9d6f00fd9e4e  wxpdfdoc-0.9.2.1.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


Important: Please remove the obsolete stuff before you import your package into non-el5 branches (if you ever want to have such a branch):

- BuildRoot definition
- Initial cleaning of buildroot in %install
- the %clean section
- the %defattr lines in %files

Comment 12 Domingo Becker 2012-10-26 03:31:57 UTC
(In reply to comment #11)
> 
> Important: Please remove the obsolete stuff before you import your package
> into non-el5 branches (if you ever want to have such a branch):
> 
> - BuildRoot definition
> - Initial cleaning of buildroot in %install
> - the %clean section
> - the %defattr lines in %files

Many thanks!

I will work on these issues before uploading to git.

Comment 13 Domingo Becker 2012-10-26 03:39:02 UTC
New Package SCM Request
=======================
Package Name: wxpdfdoc
Short Description: A library for creating PDF documents in C++ with wxWidgets
Owners: beckerde
Branches: f16 f17 f18
InitialCC: ulrich.telle@gmx.de

Comment 14 Gwyn Ciesla 2012-10-26 11:25:25 UTC
Git done (by process-git-requests).

WARNING: "ulrich.telle@gmx.de" is not a valid FAS account.

Comment 15 Domingo Becker 2012-10-26 11:37:10 UTC
(In reply to comment #14)
> Git done (by process-git-requests).
> 

Thank you.

> WARNING: "ulrich.telle@gmx.de" is not a valid FAS account.

Oops, sorry.

Comment 16 Fedora Update System 2012-10-30 03:07:26 UTC
wxpdfdoc-0.9.2.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wxpdfdoc-0.9.2.1-4.fc18

Comment 17 Fedora Update System 2012-10-30 03:20:13 UTC
wxpdfdoc-0.9.2.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wxpdfdoc-0.9.2.1-4.fc17

Comment 18 Fedora Update System 2012-10-30 03:34:43 UTC
wxpdfdoc-0.9.2.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wxpdfdoc-0.9.2.1-4.fc16

Comment 19 Fedora Update System 2012-10-30 20:13:33 UTC
wxpdfdoc-0.9.2.1-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 20 Mario Blättermann 2012-11-15 09:18:57 UTC
Packages for all requested branches are marked as stable now.